

@font-face {
    font-family: "Switzer-Variable";
    src: url("/fonts/Switzer/Switzer-Variable.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Variable.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Variable.ttf") format("truetype");
    font-weight: 100 900;
    font-display: swap;
    font-style: normal;
}


@font-face {
    font-family: "Switzer-VariableItalic";
    src: url("/fonts/Switzer/Switzer-VariableItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-VariableItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-VariableItalic.ttf") format("truetype");
    font-weight: 100 900;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Thin";
    src: url("/fonts/Switzer/Switzer-Thin.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Thin.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Thin.ttf") format("truetype");
    font-weight: 100;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-ThinItalic";
    src: url("/fonts/Switzer/Switzer-ThinItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-ThinItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-ThinItalic.ttf") format("truetype");
    font-weight: 100;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Extralight";
    src: url("/fonts/Switzer/Switzer-Extralight.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Extralight.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Extralight.ttf") format("truetype");
    font-weight: 200;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-ExtralightItalic";
    src: url("/fonts/Switzer/Switzer-ExtralightItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-ExtralightItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-ExtralightItalic.ttf") format("truetype");
    font-weight: 200;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Light";
    src: url("/fonts/Switzer/Switzer-Light.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Light.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Light.ttf") format("truetype");
    font-weight: 300;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-LightItalic";
    src: url("/fonts/Switzer/Switzer-LightItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-LightItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-LightItalic.ttf") format("truetype");
    font-weight: 300;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Regular";
    src: url("/fonts/Switzer/Switzer-Regular.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Regular.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Regular.ttf") format("truetype");
    font-weight: 400;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-Italic";
    src: url("/fonts/Switzer/Switzer-Italic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Italic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Italic.ttf") format("truetype");
    font-weight: 400;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Medium";
    src: url("/fonts/Switzer/Switzer-Medium.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Medium.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Medium.ttf") format("truetype");
    font-weight: 500;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-MediumItalic";
    src: url("/fonts/Switzer/Switzer-MediumItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-MediumItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-MediumItalic.ttf") format("truetype");
    font-weight: 500;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Semibold";
    src: url("/fonts/Switzer/Switzer-Semibold.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Semibold.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Semibold.ttf") format("truetype");
    font-weight: 600;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-SemiboldItalic";
    src: url("/fonts/Switzer/Switzer-SemiboldItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-SemiboldItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-SemiboldItalic.ttf") format("truetype");
    font-weight: 600;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Bold";
    src: url("/fonts/Switzer/Switzer-Bold.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Bold.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Bold.ttf") format("truetype");
    font-weight: 700;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-BoldItalic";
    src: url("/fonts/Switzer/Switzer-BoldItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-BoldItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-BoldItalic.ttf") format("truetype");
    font-weight: 700;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Extrabold";
    src: url("/fonts/Switzer/Switzer-Extrabold.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Extrabold.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Extrabold.ttf") format("truetype");
    font-weight: 800;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-ExtraboldItalic";
    src: url("/fonts/Switzer/Switzer-ExtraboldItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-ExtraboldItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-ExtraboldItalic.ttf") format("truetype");
    font-weight: 800;
    font-display: swap;
    font-style: italic;
}

@font-face {
    font-family: "Switzer-Black";
    src: url("/fonts/Switzer/Switzer-Black.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-Black.woff") format("woff"),
        url("/fonts/Switzer/Switzer-Black.ttf") format("truetype");
    font-weight: 900;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Switzer-BlackItalic";
    src: url("/fonts/Switzer/Switzer-BlackItalic.woff2") format("woff2"),
        url("/fonts/Switzer/Switzer-BlackItalic.woff") format("woff"),
        url("/fonts/Switzer/Switzer-BlackItalic.ttf") format("truetype");
    font-weight: 900;
    font-display: swap;
    font-style: italic;
}

:root {
    --primary-color: #315b46;
    --secondary-color: #f0efdf;
    --primary-font: "Switzer-Regular", sans-serif;
    --secondary-font: "ArgentumSans", sans-serif;
}

/* For Chrome, Safari, Edge, and Opera */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* For Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

body,
* {
    font-family: var(--primary-font);
    text-transform: uppercase;
    /* Regular */
}

body {
    background-color: #efefef !important;
}

.primary-font-size {
    font-size: 0.8vw !important;
    color: black !important;
}

.heading-font {
    font-weight: bold;
    font-size: 1.2rem;
}

.fs-1rem {
    font-size: 1rem !important;
}

.fs-1-5rem {
    font-size: 1.5rem !important;
}

.fs-07rem {
    font-size: 0.7rem !important;
}

.link-normal {
    text-decoration: none;
    color: black;
}

.fs-12 {
    font-size: 12px;
}

.fw-400 {
    font-weight: 400 !important;
}

.primary-color {
    color: var(--primary-color);
}

.primary-bg {
    background-color: var(--primary-color) !important;
    color: var(--secondary-color) !important;
}

.secondary-bg {
    background-color: var(--secondary-color) !important;
    color: var(--primary-color) !important;
}

.bg-none {
    background-color: transparent !important;
}

/* Ensure proper positioning */
.dropdown-menu {
    display: none;
    position: absolute;
    left: 0;
    top: 100%;
}

/* Show dropdown on hover */
.nav-item.dropdown:hover > .dropdown-menu {
    display: block;
}

/* Second-level dropdown */
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
    display: none;
}

.dropdown-item:hover {
    background-color: var(--primary-color) !important;
    color: #ffffff !important;
}

/* Show sub-menu on click */
/* .dropdown-submenu>.dropdown-toggle::after {
    display: inline-block;
    margin-left: 5px;
    vertical-align: middle;
    content: "\25B6";
    font-size: 12px;
} */

.custom-swiper-button {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    width: 40px !important;
    height: 40px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-swiper-button::after {
    color: white;
    font-size: 20px !important;
}

input:focus,
textarea:focus,
select:focus {
    border-color: var(--primary-color) !important;
    box-shadow: 0 0 0 0.2rem rgba(49, 91, 70, 0.25) !important;
    outline: none !important;
}

.product_title,
.blog_title {
    font-size: 14px;
    margin-bottom: 0px;
    font-weight: bold;
}

.blog_short_desc {
    font-size: 12px;
    margin-bottom: 0px;
    /* text-transform: none; */
}

.product_img2 img {
    border-radius: 10px;
}

.product_price {
    font-size: 12px;
    margin-bottom: 0px;
}

/* .product_price2 {
    font-size: 12px;
} */

.product_card {
    position: relative;
    overflow: hidden;
}

/* .product_img {
    width: 100%;
    height: auto;
} */

.product_img img {
    transition: opacity 0.3s ease-in-out;
}

.product_img .hover_img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.product_card:hover .hover_img {
    opacity: 1;
}

.product_card:hover .default_img {
    opacity: 0;
}

.product_card:hover .hover_img {
    opacity: 1;
}

.product_card:hover .default_img {
    opacity: 0;
}

/* Icons container */
.product_icons {
    position: absolute;
    top: 0px;
    right: 10px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    z-index: 10;
}

/* Individual icon styling */
.product_icons .cart_icon,
.product_icons .like_icon,
.product_icons .share_icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 50%;
    text-decoration: none;
    transition: background 0.3s ease;
}

.share_icon {
    width: 30px;
    height: 30px;
    background: rgba(255, 255, 255, 0.8);
    border-radius: 50%;
    text-decoration: none;
    transition: background 0.3s ease;
}

.product_icons a:hover {
    background: var(--primary-color);
    color: #ffffff !important;
}

.product_icons a:hover i {
    color: #ffffff !important;
}

.product_icons i {
    color: #333;
}



.discover_more_btn {
    border: 1px solid var(--primary-color);
    text-decoration: none;
    color: var(--primary-color);
    padding: 8px 20px;
    font-size: 10px;
    font-weight: 300;
    transition: all 0.2s;
}

.discover_more_btn:hover {
    border-radius: 20px;
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

footer ul li,
footer h6,
footer p {
    font-size: 12px !important;
    padding-bottom: 10px;
    font: 300;
}

.product_card,
.blog_card {
    background-color: var(--secondary-color);
    color: #315b46;
    /* box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px,
        rgba(0, 0, 0, 0.1) 0px 0px 1px 0px; */

    border: 1px solid rgba(198, 198, 198, 0.338);
    border-radius: 10px;
}

.product_card img,
.blog_card img {
    border-radius: 10px 10px 0px 0px;
}

.size_box {
    border: 1px solid rgba(49, 91, 70, 0.308);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    padding: 5px;
    background-color: var(--secondary-color);
}

.size_box:hover {
    cursor: pointer;
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

.size_box.active {
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

.checkout_btn {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    padding: 10px 20px;
    font-weight: 300;
    border-radius: 5px;
    transition: all 0.2s;
}

.checkout_btn:hover {
    background-color: var(--secondary-color);
    color: var(--primary-color);
    border: 1px solid rgba(49, 91, 70, 0.308);
}

.product_images {
    height: 100vh;
    overflow-y: scroll;
}

.product_images::-webkit-scrollbar {
    width: 3px;
}

.product_images::-webkit-scrollbar-thumb {
    background-color: var(--primary-color);
    border-radius: 10px;
}

.subscribe_btn {
    color: var(--primary-color) !important;
    background-color: var(--secondary-color) !important;
}

.list {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.custom-btn {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    width: 100%;
    transition: all 0.2s;
}

.custom-btn:hover {
    background-color: transparent !important;
    color: var(--primary-colorr) !important;
}

.custom-active {
    background-color: transparent !important;
    color: var(--primary-colorr) !important;
}

.custom_filter {
    background-color: transparent;
    color: var(--primary-color);
    border: none;
    /* padding: 10px 15px; */
    /* border-radius: 5px; */
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.accordion-button:not(.collapsed) {
    background-color: #315b46 !important;
    color: var(--secondary-color) !important;
}

.size {
    width: 45px;
    height: 45px;
    cursor: pointer;
}

.size img {
    border-radius: 50%;
}

.size:hover .size_img {
    outline: 3px solid var(--primary-color);
    outline-offset: 3px;
}

input[type="radio"]:checked + label .size_img {
    outline: 3px solid var(--primary-color);
    outline-offset: 3px;
}

.active_size {
    outline: 3px solid var(--primary-color);
    outline-offset: 3px;
}

.color-circle {
    width: 30px;
    height: 30px;
    display: inline-block;
    border-radius: 50%;
    border: 2px solid #ddd;
    cursor: pointer;
}

.color-circle:hover {
    /* border: 2px solid #315b46; */
    outline: 3px solid #315b46;
    outline-offset: 3px;
}

.active_color {
    outline: 3px solid #315b46;
    outline-offset: 3px;
}

input[type="radio"]:checked + label .color-circle {
    outline: 3px solid #315b46;
    outline-offset: 3px;
}

.like-heart {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.filled-heart {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.2s;
}

.like-heart:hover .filled-heart {
    opacity: 1;
}

.like-heart:hover .outline-heart {
    opacity: 0;
}

.login_btn {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    padding: 10px 20px;
    font-weight: 300;
    border-radius: 5px;
    transition: all 0.2s;
}

.checkout_btn {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    font-weight: 300;
    border-radius: 5px;
    transition: all 0.2s;
}

.check_desc {
    font-size: 12px;
    font-weight: 300;
}

/* .form-control {
    text-transform: none !important;
} */

.custom-card-bg {
    background-color: #efefef !important;
}

.cart-item img {
    border-radius: 8px;
}

.cart-item-price button {
    border: 1px solid #ccc;
    background: none;
}

.btn-dark {
    text-transform: uppercase;
    letter-spacing: 1px;
}

/* Offcanvas styles */
.offcanvas {
    width: 500px !important;
    max-width: 80%;
    background-color: var(--secondary-color);
    color: var(--primary-color);
    transition: transform 0.3s ease-in-out;
    position: fixed;
    top: 0;
    bottom: 0;
    right: -500px;
    z-index: 1050;
    overflow-y: auto;
}

.offcanvas.show {
    transform: translateX(-300px);
}

.offcanvas-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.offcanvas-body {
    padding: 1rem;
}

.offcanvas-close {
    background: none;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .offcanvas {
        width: 100%;
        right: -100%;
    }

    .offcanvas.show {
        transform: translateX(-100%);
    }
}

.cart-items {
    overflow-y: auto;
}

.max-height60 {
    max-height: 60vh;
}

.vh-85 {
    height: 85vh;
}

.cart-items::-webkit-scrollbar {
    width: 5px;
}

.cart-items::-webkit-scrollbar-thumb {
    background-color: var(--primary-color);
    border-radius: 10px;
}

.profile-container {
    margin: auto;
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    min-height: 80vh;
}

.list-group-item {
    cursor: pointer;
}

.list-group-item.active {
    background-color: black;
    border-color: black;
}

.tab-content {
    padding-left: 20px;
}

.list-group .active {
    background-color: var(--primary-color) !important;
    color: var(--secondary-color) !important;
}

.list-group .active:focus {
    outline: none !important;
    box-shadow: none !important;
    border-color: transparent !important;
}

.blog_desc {
    font-size: 12px;
    margin-bottom: 0px;
    /* text-transform: none; */
}

.newsletter_desc {
    font-size: 12px;
}

.checkout-color {
    width: 15px !important;
    height: 15px !important;
}

#mobileMenu {
    width: 85% !important;
}

@media (max-width: 768px) {
    .footer_logo {
        width: 150px;
        height: auto;
    }

    .login_text {
        font-size: 12px;
    }

    .size_img {
        width: 40px;
        height: 40px;
    }

    .heading-font {
        font-size: 0.8rem;
    }

    #cart {
        width: 85% !important;
    }

    .profile-container {
        padding: 0px;
        min-height: auto;
    }

    .tab-content {
        padding-left: 0px;
    }

    .history_product_img{
        width: 150px;
    }

    .cart_product_title{
        font-size: 12px;
    }

    .cart_product_price{
        font-size: 10px;
    }
}

#ordersTab {
    max-height: 80vh;
    overflow-y: scroll;
}


#suggestionBox a {
    cursor: pointer;
}
#suggestionBox {
    max-height: 200px;
    overflow-y: auto;
}

.transform-none p,
.transform-none h1,
.transform-none h2,
.transform-none h3,
.transform-none h4,
.transform-none h5,
.transform-none h6,
.transform-none li,
.transform-none span,
.transform-none strong,
.transform-none em,
.transform-none b,
.transform-none i,
.transform-none u,
.transform-none a,
.transform-none div,
.transform-none label,
.transform-none button,
.transform-none input,
.transform-none textarea,
.transform-none select,
.transform-none small{
    text-transform: none !important;
}

.transform-none{
    text-transform: none !important;
}

.swal2-confirm{
    background-color: var(--primary-color) !important;
    color: var(--secondary-color) !important;
}


.vertical-ticker {
    height: 10px;
    overflow: hidden;
    position: relative;
}

.ticker-items {
    display: flex;
    flex-direction: column;
    animation: tickerScroll 10s linear infinite;
}

@keyframes tickerScroll {
    0% { transform: translateY(0); }
    20% { transform: translateY(-40px); }
    40% { transform: translateY(-80px); }
    60% { transform: translateY(-120px); }
    80% { transform: translateY(-160px); }
    100% { transform: translateY(0); }
}

.ticker-item {
    height: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.ticker-container {
    height: 40px;
    overflow: hidden;
    position: relative;
}

.ticker {
    position: absolute;
    top: 0;
    animation: tick 4s infinite cubic-bezier(0.23, 1, 0.32, 1);
    width: 100%;
}

.ticker-item {
    height: 40px;
    /* display: flex;
    align-items: center;
    justify-content: center;
    text-align: center; */
    /* padding: 0 20px; */
    /* box-sizing: border-box; */
    width: 100%;
}

@keyframes tick {
    0% {
        top: 0;
    }
    22.5% {
        top: 0;
    }
    25% {
        top: -40px;
    }
    47.5% {
        top: -40px;
    }
    50% {
        top: -80px;
    }
    72.5% {
        top: -80px;
    }
    75% {
        top: -120px;
    }
    97.5% {
        top: -120px;
    }
    100% {
        top: 0;
    }
}

.marquee_container {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    background: #315b46;
    padding: 0.2rem 0;
  }
  .marquee {
    display: inline-block;
    animation: marquee 10s linear infinite;
  }
  @keyframes marquee {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(-100%, 0, 0);
    }
  }
  .marquee p {
    display: inline-block;
    margin-right: 30px;
    margin-bottom: 0px;
    font-weight: 400;
    color: #f0efdf;
  }
